//
//  ProfileListView.swift
//  TaskModifierDemo
//
//  Created by Gabriel Theodoropoulos.
//  https://serialcoder.dev
//

import SwiftUI

struct ProfileListView: View {
    var body: some View {
        NavigationStack {
            List(Profile.all) { profile in
                NavigationLink(profile.name) {
                    ProfileDetailView(profileID: profile.id)
                }
            }
            .navigationTitle("Profiles")
        }
    }
}

#Preview {
    ProfileListView()
}
