//
//  Profile.swift
//  TaskModifierDemo
//
//  Created by Gabriel Theodoropoulos.
//  https://serialcoder.dev
//

import Foundation

struct Profile: Identifiable, Hashable {
    let id: Int
    let name: String
    let country: String
    let email: String
    
    // Randomly generated names and email addresses.
    static let all: [Profile] = [
        Profile(id: 1, name: "Sofia Kim",
                country: "South Korea", email: "sofia.kim@example.com"),
        Profile(id: 2, name: "Liam O'Reilly",
                country: "Ireland", email: "liam.oreilly@example.com"),
        Profile(id: 3, name: "Nina Patel",
                country: "India", email: "nina.patel@example.com"),
        Profile(id: 4, name: "Jasper Wang",
                country: "Singapore", email: "jasper.wang@example.com"),
        Profile(id: -1, name: "Simulated Failure",
                country: "Unknown", email: "fail@example.com")
    ]
}
